/*
 * @Author: Devin
 * @Date: 2022-12-21 14:18:32
 * @LastEditors: Devin
 * @LastEditTime: 2022-12-31 18:47:26
 * @Description: ts工程开发
 */
// service统一出口
// import { computed } from 'vue';
// import { useStore } from 'vuex';
import AiotRequest from './request.js';

// const store = useStore();

// const token = computed(() => store.getters.token);

// import localCache from '@/utils/cache';
const AIotRequest = new AiotRequest({
  // baseURL: import.meta.env.VITE_BASE_URL,
  timeout: import.meta.env.VITE_TIME_OUT,
  interceptors: {
    requestInterceptor: (config) => {
      // 携带token的拦截
      const token = localStorage.getItem('token') || '';
      // const token = 'daac26d29d4641d48dae5ef820745f65';
      // const token = '';
      const regionId =
        JSON.parse(localStorage.getItem('mainProduct'))?.solutionId || '';

      if (token) {
        config.headers.accessToken = token;
      }
      if (regionId) {
        config.headers.regionId = regionId;
      }
      config.headers.role = 1;

      return config;
    },
    requestInterceptorCatch: (err) => {
      return Promise.reject(err);
    },
    responseInterceptor: (res) => {
      return res;
    },
    responseInterceptorCatch: (err) => {
      return Promise.reject(err);
    }
  },
  showLoading: false
});

export { AIotRequest };
