/*
 * @Author: Devin
 * @Date: 2022-09-06 17:00:41
 * @LastEditors: Devin
 * @LastEditTime: 2023-03-13 10:51:50
 * @Description:
 */
let allNodesInfo = {};
let allEdgesInfo = {};

// 深拷贝
function deepClone(data) {
  return JSON.parse(JSON.stringify(data));
}

// 获取所有连接线信息
function getAllEdges(graph) {
  const edges = graph.getEdges();
  const infos = {};
  edges.forEach((edge) => {
    infos[edge.id] = {
      source: edge.getSource(),
      target: edge.getTarget(),
      labels: edge.getLabels()
    };
  });
  allEdgesInfo = deepClone(infos);
}
// 根据nodeId获取portids

function getPortsByEdgeIds(portIds, by) {
  const newPortIds = [];
  portIds.forEach((item) => {
    newPortIds.push(allEdgesInfo[item]?.[by]?.port);
  });
  return newPortIds;
}
// 根据portId获取节点id
function getNodesIdsByEdgeIds(portIds, by) {
  const nodeIds = [];
  portIds.forEach((item) => {
    nodeIds.push(allEdgesInfo[item]?.[by]?.cell);
  });
  return nodeIds;
}
// 获取所有节点信息
function getAllNodes(graph) {
  allNodesInfo = null;
  const infos = {};
  const nodes = graph.getNodes();
  // 流程图中所有节点信息
  const _model = graph.model;
  // console.log(_model)
  // 所有有连线现的数据
  const inComings = deepClone(_model?.incomings || []);
  // 所有有连出线的数据
  const outGoings = deepClone(_model?.outgoings || []);

  nodes.forEach((node) => {
    const nodeInComings = getNodesIdsByEdgeIds(
      inComings[node.id] || [],
      'source'
    );
    const nodeOutNodes = getNodesIdsByEdgeIds(
      outGoings[node.id] || [],
      'target'
    );
    const portInComings = getPortsByEdgeIds(inComings[node.id] || [], 'target');
    const portOutNodes = getPortsByEdgeIds(outGoings[node.id] || [], 'source');
    infos[node.id] = {
      in: nodeInComings,
      out: nodeOutNodes,
      inPort: portInComings,
      outPort: portOutNodes,
      // ports: node.getPorts() || [],
      name: node.getData().name || '',
      attrs: node.getData()
    };
  });
  allNodesInfo = deepClone(infos);
}
function nodeDataFormate(graph) {
  getAllEdges(graph);
  getAllNodes(graph);
  return allNodesInfo;
}
export default {
  nodeDataFormate
};
