import { ref } from 'vue';

export const formConfig = ref({
  system: {
    forms: [
      {
        label: '名称',
        name: 'name',
        type: 'input',
        span: 24,
        attrs: { placeholder: '请输入名称', clearable: true }
      },
      {
        label: '编码',
        name: 'code',
        type: 'input',
        span: 24,
        attrs: { placeholder: '请输入编码', clearable: true }
      },
      {
        label: '描述',
        name: 'desc',
        type: 'input',
        span: 24,
        attrs: {
          type: 'textarea',
          maxlength: 300,
          clearable: true,
          placeholder: '请输入描述信息，最多可输入300字',
          minRows: 5,
          maxRows: 8,
          rows: 6,
          style: {
            width: '100%'
          }
        }
      }
    ],
    formValues: {
      name: '',
      desc: '',
      code: ''
    },
    copyForms: [
      {
        label: '名称',
        name: 'name',
        type: 'input',
        span: 24,
        attrs: { placeholder: '请输入名称', clearable: true }
      },
      {
        label: '根路径',
        name: 'code',
        type: 'input',
        span: 24,
        attrs: { placeholder: '请输入名称', clearable: true }
      }
    ],
    copyValues: {
      name: '',
      code: ''
    },
    versionForms: [
      {
        name: 'stateValue',
        type: 'select',
        label: '版本切换',
        span: 24,
        attrs: {
          style: {
            width: '276px'
          },
          options: [],
          propsMap: {
            label: 'version',
            value: 'id'
          },
          clearable: true,
          placeholder: '请选择版本！'
        }
      }
    ],
    versionValues: {
      stateValue: ''
    }
  },
  module: {
    forms: [
      {
        name: 'name',
        type: 'input',
        label: '名称',
        span: 24,
        attrs: {
          style: {
            width: '276px'
          },
          clearable: true,
          placeholder: '请输入名称'
        }
      },
      {
        name: 'code',
        type: 'input',
        label: '编码',
        span: 24,
        attrs: {
          style: {
            width: '276px'
          },
          clearable: true,
          placeholder: '请输入编码'
        }
      },
      {
        name: 'desc',
        type: 'input',
        label: '描述',
        span: 24,
        attrs: {
          type: 'textarea',
          maxlength: 300,
          clearable: true,
          placeholder: '请输入描述信息，最多可输入300字',
          minRows: 5,
          maxRows: 8,
          rows: 6,
          style: {
            width: '100%'
          }
        }
      }
    ]
  },
  logic: {
    forms: [
      {
        name: 'name',
        type: 'input',
        label: '名称',
        span: 24,
        attrs: {
          style: {
            width: '276px'
          },
          clearable: true,
          placeholder: '请输入名称'
        }
      },
      {
        name: 'requestUrl',
        type: 'input',
        label: 'URL',
        span: 24,
        attrs: {
          style: {
            width: '276px'
          },
          clearable: true,
          placeholder: '请输入URL'
        }
      },
      {
        name: 'requestType',
        type: 'select',
        label: '请求方法',
        span: 24,
        attrs: {
          style: {
            width: '276px'
          },
          options: [
            { label: 'GET', value: 'GET' },
            { label: 'POST', value: 'POST' },
            { label: 'PUT', value: 'PUT' },
            { label: 'DELETE', value: 'DELETE' },
            { label: 'PATCH', value: 'PATCH' },
            { label: 'WS', value: 'WS' }
          ],
          clearable: true,
          placeholder: '请输入URL'
        }
      },
      {
        name: 'desc',
        type: 'input',
        label: '描述',
        span: 24,
        attrs: {
          type: 'textarea',
          maxlength: 300,
          clearable: true,
          placeholder: '请输入描述信息，最多可输入300字',
          minRows: 5,
          maxRows: 8,
          rows: 6,
          style: {
            width: '100%'
          }
        }
      }
    ]
  }
});
