import { ref } from 'vue';

// 表单配置
export const formConfig = ref({
  subflow: {
    forms: [
      {
        label: '名称',
        name: 'name',
        type: 'input',
        span: 24,
        attrs: { placeholder: '请输入名称', clearable: true }
      },
      {
        label: '描述',
        name: 'desc',
        type: 'input',
        span: 24,
        attrs: {
          type: 'textarea',
          maxlength: 300,
          clearable: true,
          placeholder: '请输入描述信息，最多可输入300字',
          minRows: 5,
          maxRows: 8,
          rows: 6,
          style: {
            width: '100%'
          }
        }
      }
    ],
    formValues: {
      desc: '',
      name: ''
    }
  }
});

export const searchConfig = ref({
  subflow: {
    searchParams: [
      {
        name: 'name',
        label: '名称',
        col: 6,
        type: 'input',
        attrs: { clearable: true, placeholder: '请输入名称' }
      }
    ],
    formValues: { name: '' }
  }
});
